defmodule Outlook.TranslationsFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Outlook.Translations` context.
  """

  @doc """
  Generate a translation.
  """
  def translation_fixture(attrs \\ %{}) do
    {:ok, translation} =
      attrs
      |> Enum.into(%{
        content: %{},
        date: ~U[2022-12-25 17:13:00Z],
        lang: "some lang",
        public: true,
        teaser: "some teaser",
        title: "some title",
        unauthorized: true
      })
      |> Outlook.Translations.create_translation()

    translation
  end
end
